import { StatefulPromise, FetchBlobResponse } from 'rn-fetch-blob';
interface ItemQueue {
    hash: string;
    isDownloading: boolean;
    downloadHandle: StatefulPromise<FetchBlobResponse> | Promise<boolean>;
}
export default class CacheManager {
    static filesCached: {
        [hash: string]: string;
    };
    static downloadQueue: ItemQueue[];
    cacheDir: string;
    constructor(cacheDir: string);
    getPathByUri(uri: string): Promise<string>;
    getCacheOrDownload(uri: string, hash: string): Promise<void>;
    getQueueByHash(hash: string): ItemQueue | undefined;
    removeItemQueue(hash: string): void;
    existsFileCache(imagePath: string): Promise<boolean>;
}
export {};
//# sourceMappingURL=cacheManager.d.ts.map